package cd.casic.ci.process.dto.resp.resource;

import cd.casic.module.execute.docker.dataobject.dto.DockerEndpointDo;
import cd.casic.module.machine.dal.dataobject.MachineInfoDO;
import lombok.Data;

@Data
public class ResourceDetailResp {
    /**
     * docker镜像服务器信息id
     */
    private String dockerId;

    /**
     * k8s服务器信息id
     */
    private String k8sId;

    /**
     * 机器服务器信息id
     */
    private Long machineId;

    /**
     * 弹性云服务器信息id
     */
    private String cloudId;

    /**
     * 资源名称
     */
    private String resourceName;
    /**
     *  资源类型ResourceConstant.RES_TYPE_*
     *
     * */
    private String resourceType;
    private MachineInfoDO machineInfo;
    private DockerEndpointDo dockerInfo;
}
