package cd.casic.module.terminal.configuration;

import cd.casic.module.terminal.common.holder.SpringHolder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 *
 * spring 配置类
 *
 * @author Yuru Pu
 * @version 1.0
 * @since 2025/7/10 14:46
 */
@Configuration
public class SpringConfiguration {

    /**
     * @return spring 容器工具类
     */
    @Bean
    public SpringHolder.ApplicationContextAwareStore springHolderAware() {
        return new SpringHolder.ApplicationContextAwareStore();
    }

}
